收藏
回答

开发者工具构建npm各种报错

问题模块 框架类型 问题类型 操作系统 工具版本
开发者工具 小程序 Bug macOS 1.02.1808131

官方文档说现在提供npm支持,但是首先工具下载我就存疑,下载后的版本号和显示的不一样,然后尝试构建了下面这两个相对简单的npm包

结果都失败了,slide-view构建失败提示:未找到npm包入口文件

navigation-bar构建失败提示:Error: EISDIR: illegal operation on a directory, readError: EISDIR: illegal operation on a directory, read


是我工具的问题吗,还是要新建项目,我的基础库版本是2.2.2




最后一次编辑于  2018-08-14  (未经腾讯允许,不得转载)
邀请回答
复制链接收藏关注问题回答

9 个回答

  • June
    June
    2018-08-23

    尝试更新下 beta 版工具后再试试呢?

    2018-08-23
    赞同
    回复 8
    • 点击查看
      点击查看
      2018-08-24

      昨天下载了最新的又尝试了一遍,还是和之前的错误一样

      2018-08-24
      赞同
      回复
    • June
      June
      2018-08-24回复点击查看

      我试了下最新的v1.02.1808231beta工具,是没问题的噢,请问你是用的哪个版本?基础库版本又是哪个版本呢?


      另外那个找不到入口的问题应该是这两个包误把包内的demo包给发到npm了,这个找不到入口是指demo包构建抛出warning,会跳过该demo包但不会影响其他包的构建,所以这里暂时忽略即可,slide-view和navigator-bar是能正常使用的。后续会重发下npm去掉demo包。

      2018-08-24
      赞同
      回复
    • 点击查看
      点击查看
      2018-08-24回复June

      工具的版本是一样的,基础库我的是2.2.3,重新尝试还是报错,忽略到这个,直接使用,发现样式好像没有生效,不知道是不是node版本问题,我的node版本是v8.11.3,直接根目录npm install 的





      2018-08-24
      赞同
      回复
    • June
      June
      2018-08-24回复点击查看

      样式没有生效是指哪个组件?

      2018-08-24
      赞同
      回复
    • 点击查看
      点击查看
      2018-08-24回复June

      slider-view 也可能其他原因哈,反正就是不是正常效果

      2018-08-24
      赞同
      回复
    查看更多(3)